org.mozilla.javascript.regexp

## Class SubString

- java.lang.Object
- - org.mozilla.javascript.regexp.SubString

-     public class SubString
      extends java.lang.Object

  A utility class for lazily instantiated substrings.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SubString` | `emptySubString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubString()`
    `SubString(java.lang.String str)`
    `SubString(java.lang.String source, int start, int len)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### emptySubString

          public static final SubString emptySubString

  - ### Constructor Detail

    - #### SubString

          public SubString()

    - #### SubString

          public SubString(java.lang.String str)

    - #### SubString

          public SubString(java.lang.String source,
                   int start,
                   int len)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`